from pyvirtualdisplay.display import Display


with Display(size=(1920, 1080), backend="xvnc", rfbport=5904, use_xauth=True) as disp:
    import pyautogui
    screenWidth, screenHeight = pyautogui.size()
    print(screenWidth, screenHeight)

    currentMouseX, currentMouseY = pyautogui.position()
    print(currentMouseX, currentMouseY)

    pyautogui.moveTo(100, 150)

    pyautogui.click()
    pyautogui.click(100, 200)

    pyautogui.move(400, 0)
    pyautogui.doubleClick()
    pyautogui.moveTo(500, 500, duration=2, tween=pyautogui.easeInOutQuad)

    pyautogui.write("Hello world!", interval=0.25)
    pyautogui.press("esc")

    with pyautogui.hold("shift"):
        pyautogui.press(["left", "left", "left", "left"])

    pyautogui.hotkey("ctrl", "c")
    # pyautogui.alert('This is the message to display.')
